HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Partial update of an Insight report configuration by id.

Path Params
integer
required

Numeric id of the report

Body Params

Request body

int64
required

Numeric id of the report

string
required

Name of the report

string

Description of the report

string
required

Category of the report

string
required

Sub category is the template name of the report

email_targets
object

Send report to the configured email targets, e.g. "email_targets":["...", "..."]

sms_targets
object

Send report to the configured SMS targets, e.g. "sms_targets":["...", "..."]

boolean

Enable to copy the report to the configured SCP/SFTP server

config
object

Setting the report filter configurations & adding CSV columns for the CSV report,
e.g. "config": {
"filter": {
"auth.ap_name": {
"operator": "EQUALS",
"value": ["..."]
},
"cppm_cluster.hostname": {
"operator":"CONTAINS",
"value":["...", "..."]
}
},
csv_cols": ["...", "...", "..."]
}

schedule
object

Scheduling the report. Options are [noRepeat, daily, weekly, monthly],
e.g. when running the report "now" itself => "schedule": {} - then "begin_dt" & "end_dt" are mandatory,
when scheduling the report at "daily" => "schedule": {"freq": "daily", "hour": 12}
when scheduling the report at "weekly" => "schedule": {"freq": "weekly", "day": 0, "hour": 12}
when scheduling the report at "monthly" => "schedule": {"freq": "monthly", "date": 1, "hour": 12}

int64

Collect the data for the report from this "begin_dt"

string

Collect the data for the report till this "end_dt"

boolean

Enable/Disable the report

Responses

Language
Response
Choose an example:
application/json